%global pkgname jenkinsapi

Name:           python-jenkinsapi
Version:        0.2.29
Release:        2%{?dist}
Summary:        A Python API for accessing resources on a Jenkins(CI) server

License:        MIT
URL:            https://github.com/salimfadhley/%{pkgname}

Source0:        https://pypi.python.org/packages/source/j/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-requests
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-requests
BuildRequires:  python3-pytz
BuildRequires:  pytz

%description
This library can help you:

 * Query the test-results of a completed build
 * Get a objects representing the latest builds of a job
 * Search for artefacts by simple criteria
 * Block until jobs are complete
 * Install artefacts to custom-specified directory structures
 * User name/password authentication support for Jenkins instances with
   authentication turned on
 * Ability to search for builds by subversion revision
 * Ability to add/remove/query Jenkins slaves
 * Ability to add/remove/modify Jenkins views

%package -n python2-%{pkgname}
Summary:        A Python API for accessing resources on a Jenkins(CI) server
Requires:       pytz
%{?python_provide:%python_provide python2-%{pkgname}}

%description -n python2-%{pkgname}
This library can help you:

 * Query the test-results of a completed build
 * Get a objects representing the latest builds of a job
 * Search for artefacts by simple criteria
 * Block until jobs are complete
 * Install artefacts to custom-specified directory structures
 * User name/password authentication support for Jenkins instances with
   authentication turned on
 * Ability to search for builds by subversion revision
 * Ability to add/remove/query Jenkins slaves
 * Ability to add/remove/modify Jenkins views

%package -n python3-%{pkgname}
Summary:        A Python API for accessing resources on a Jenkins(CI) server
Requires:       python3-pytz
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
This library can help you:

 * Query the test-results of a completed build
 * Get a objects representing the latest builds of a job
 * Search for artefacts by simple criteria
 * Block until jobs are complete
 * Install artefacts to custom-specified directory structures
 * User name/password authentication support for Jenkins instances with
   authentication turned on
 * Ability to search for builds by subversion revision
 * Ability to add/remove/query Jenkins slaves
 * Ability to add/remove/modify Jenkins views

%prep
%autosetup -n %{pkgname}-%{version}

%build
%py2_build
%py3_build

%install
# Do the python3 install first so executable is overwritten with python2 version
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/%{pkgname}_tests/
mv %{buildroot}%{_bindir}/jenkins_invoke %{buildroot}%{_bindir}/jenkins_invoke-%{python3_version}
mv %{buildroot}%{_bindir}/%{pkgname}_version %{buildroot}%{_bindir}/%{pkgname}_version-%{python3_version}

%py2_install
rm -rf %{buildroot}%{python2_sitelib}/%{pkgname}_tests/
ln -s jenkins_invoke %{buildroot}%{_bindir}/jenkins_invoke-%{python2_version}
ln -s %{pkgname}_version %{buildroot}%{_bindir}/%{pkgname}_version-%{python2_version}
 
%files -n python2-%{pkgname}
%doc README.rst
%{_bindir}/jenkins_invoke
%{_bindir}/jenkins_invoke-%{python2_version}
%{_bindir}/%{pkgname}_version
%{_bindir}/%{pkgname}_version-%{python2_version}
%{python2_sitelib}/%{pkgname}/
%{python2_sitelib}/%{pkgname}-%{version}-py?.?.egg-info/

%files -n python3-%{pkgname}
%doc README.rst
%{_bindir}/jenkins_invoke-%{python3_version}
%{_bindir}/%{pkgname}_version-%{python3_version}
%{python3_sitelib}/%{pkgname}/
%{python3_sitelib}/%{pkgname}-%{version}-py?.?.egg-info/

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.29-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Apr 07 2016 Scott K Logan <logans@cottsay.net> - 0.2.29-1
- Update to 0.2.29
- Update to new packaging guidelines
- Introduce Python 3 package

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 13 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.2.19-1
- Update to latest source

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 06 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.2.18-2
- Added pytz to Requires section

* Mon Mar 03 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.2.18-1
- New Release

* Sat Oct 19 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.16-1
- New Release

* Fri Sep 20 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.13-1
- Initial RPM release
